kr.co.hanwha.hifive.screen.intro

## Class IntroPresenter

- java.lang.Object
- - kr.co.hanwha.hifive.screen.intro.IntroPresenter

All Implemented Interfaces:
  BasePresenter, IntroContract.Presenter

    public class IntroPresenter
    extends java.lang.Object
    implements IntroContract.Presenter

SPLASH, 아이디 로그인, 간편 로그인 Presenter

See Also:
  `Created by sanghoonkwon on 2018. 1. 11..`

### Field Summary

Fields
`private IntroContract.View` `mView`

### Constructor Summary

Constructors
Constructor and Description
`IntroPresenter(IntroContract.View view)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkLanding(android.content.Intent intent)` Notification 확인
`NoticeData` `checkNotice(UpdateData updateData)` 공지사항 확인
`void` `checkUpdate()` 버전 확인
`void` `detachView()`
`void` `doAccountLogin(java.lang.String member_id, java.lang.String password)` 계정 로그인
`void` `doSelectDepartment()` 소속 선택
`void` `doSignUp()` 회원가입
`void` `doSimpleLogin(java.lang.String authcode)` 간편 로그인
`void` `doUpdate(UpdateData data)` 업데이트 확인
`private android.app.Activity` `getActivity()` Support methods
`android.content.Context` `getContext()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mView

    private IntroContract.View mView

### Constructor Detail

#### IntroPresenter

    public IntroPresenter(@NonNull
                          IntroContract.View view)

### Method Detail

#### detachView

    public void detachView()

Specified by:
  `detachView` in interface `BasePresenter`

#### getContext

    public android.content.Context getContext()

Specified by:
  `getContext` in interface `BasePresenter`

#### checkLanding

    public void checkLanding(android.content.Intent intent)

Description copied from interface: `IntroContract.Presenter`
Notification 확인

Specified by:
  `checkLanding` in interface `IntroContract.Presenter`
Parameters:
  `intent` - Intent

#### checkUpdate

    public void checkUpdate()

Description copied from interface: `IntroContract.Presenter`
버전 확인

Specified by:
  `checkUpdate` in interface `IntroContract.Presenter`

#### checkNotice

    public NoticeData checkNotice(@NonNull
                                  UpdateData updateData)

Description copied from interface: `IntroContract.Presenter`
공지사항 확인

Specified by:
  `checkNotice` in interface `IntroContract.Presenter`
Parameters:
  `updateData` - 업데이터 데이터
Returns:
  Notice Data

#### doUpdate

    public void doUpdate(UpdateData data)

Description copied from interface: `IntroContract.Presenter`
업데이트 확인

Specified by:
  `doUpdate` in interface `IntroContract.Presenter`
Parameters:
  `data` - 업데이트 데이터

#### doSimpleLogin

    public void doSimpleLogin(@NonNull
                              java.lang.String authcode)

Description copied from interface: `IntroContract.Presenter`
간편 로그인

Specified by:
  `doSimpleLogin` in interface `IntroContract.Presenter`
Parameters:
  `authcode` - 간편로그인 패스워드

#### doAccountLogin

    public void doAccountLogin(@NonNull
                               java.lang.String member_id,
                               @NonNull
                               java.lang.String password)

Description copied from interface: `IntroContract.Presenter`
계정 로그인

Specified by:
  `doAccountLogin` in interface `IntroContract.Presenter`
Parameters:
  `member_id` - 아이디
  `password` - 패스워드

#### doSignUp

    public void doSignUp()

Description copied from interface: `IntroContract.Presenter`
회원가입

Specified by:
  `doSignUp` in interface `IntroContract.Presenter`

#### doSelectDepartment

    public void doSelectDepartment()

Description copied from interface: `IntroContract.Presenter`
소속 선택

Specified by:
  `doSelectDepartment` in interface `IntroContract.Presenter`

#### getActivity

    private android.app.Activity getActivity()

Support methods